function FA=DelHorFft(h,A,SpecFig,delx,dely)
% Filtration of spectrum A , band filter shape 
[m,n]=size(A);
v=0;
delfx=1/(n*delx);
delfy=1/(m*dely);
FA=ones(m,n);
x0=n/2+1;
y0=m/2+1;
x0=round(x0);
y0=round(y0);
k1=20;k2=-20;
figure(SpecFig)
[x1,y1]=pline(k1,1,k1,m,n);
[x2,y2]=pline(k2,1,k2,m,n);
x1=x1*delfx;
y1=y1*delfy;
line(x1,y1);
x2=x2*delfx;
y2=y2*delfy;
line(x2,y2);
m2=ceil(m/2)-1;
n2=ceil(n/2)-1;
if k1==20
  for i=1:m2-1
  for j=-n2:n2-1
    if j>i/k2 & j<i/k1
       FA(i+y0,j+x0)=v;
     
      FA(m-(i+y0)+1,n-(j+x0)+1)=v;
    end
  end
  end
else
  for i=1:m2
  for j=-n2:n2-1
    if i>k2*j & i<k1*j
      FA(i+y0,j+x0)=v;
      FA(m-(i+y0)+1,n-(j+x0)+1)=v;
    end
  end
  end
end
FA=FA(1:m,1:n);
FA=FA.*A;


set(h.Execute, 'enable','on');
MainF=gcbf;
figure(MainF);