function [NFig,KZ]=Delhoriz(NFig,delx,dely,KZ)
% Delete horizontal lines,
% method described by Yaminsky:
% to substract mean values of each line

iptsetpref('ImshowAxesVisible', 'on')
figure(NFig);
[A,fl]=getimage;
if fl==0
   disp ('Not an Image');
end

[m,n]=size(A);
Av=mean(A(:));
M_line=mean(A');
M_line=M_line';
S=[];
for j=1:n
   S=[S M_line];
end

Out=A-S;
Out=Out+Av;
X=delx:delx:(n-1)*delx;
Y=dely:dely:(m-1)*dely;
maxOut=max(Out(:))
KZ=maxOut*KZ;
Out=Out/maxOut;
RFig=figure;
ha=axes;
imshow(X,Y,Out);
set(ha,'YDir','normal');
